Module java.base
Package java.security.interfaces

# Interface EdECPublicKey

All Superinterfaces:
  `EdECKey`, `Key`, `PublicKey`, `Serializable`

public interface EdECPublicKey extends EdECKey, PublicKey
An interface for an elliptic curve public key as defined by RFC 8032: Edwards-Curve Digital Signature Algorithm (EdDSA). These keys are distinct from the keys represented by `ECPublicKey`, and they are intended for use with algorithms based on RFC 8032 such as the EdDSA `Signature` algorithm.

An Edwards-Curve public key is a point on the curve, which is represented using an EdECPoint.

Since:
  15

## Field Summary

### Fields declared in interface java.security.PublicKey

`serialVersionUID`

## Method Summary

Modifier and Type
Method
Description
`EdECPoint`
`getPoint()`
Get the point representing the public key.

### Methods declared in interface java.security.interfaces.EdECKey

`getParams`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Method Details

### getPoint

EdECPoint getPoint()
Get the point representing the public key.

Returns:
  the `EdECPoint` representing the public key.